[galaxy-dev] Basic HTML markup in loc files (e.g. italics in descriptions)

2011-05-03 Thread Peter Cock
Hi all, In biology we often want to use italics, the key examples that come to mind are species and gene names. I think it is natural therefore to want to be able to use italics in the description of data resources in Galaxy's loc files. For example, in our local Galaxy for the BLAST databases

[galaxy-dev] question about Filtering Cufflink files

2011-05-03 Thread shamsher jagat
Jeremy, I have been trying to follow the steps in filtering Cufflink out put files you have described in one of the previous messages ( http://gmod.827538.n3.nabble.com/Re-downstream-analysis-of-cuffdiff-out-put-td2836457.html ): I have shared histroy with you, but in summary: File 35: when

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nikolai Vazov
Hi, Nate, I am trying to follow the designed steps below. 1. I downloaded psycopg2 2.0.13. Does it matter where in galaxy-dist directory I place it? 2. I modified setup.py - OK 3. pg_config --version gives : PostgreSQL 8.1.23 I don't really get what you mean by make sure the version

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nikolai Vazov
Hi again, The version of the PostgreSQL server I am trying to connect to is actually 8.3. The DB department say they will soon move to 9.0. The psycopg2 version in my eggs.ini for Galaxy is 8.4.2: psycopg2-2.0.13_8.4.2_static-py2.6-linux-x86_64-ucs4.egg Do you think it will work? 3. Find

[galaxy-dev] change queue with sge

2011-05-03 Thread Sylvain Thomas
Hi I currently use a galaxy server with cluster. This cluster uses SGE. I'd like to specify a queue other than the default. I have tried many combinaisons with drmaa:/// without success. The queue used is always the default one. Does anyone has solved this problem? Thanks, Sylvain --

Re: [galaxy-dev] Error when adding datasets

2011-05-03 Thread Louise-Amelie Schmitt
Hello, and sorry for the late reply All the answers are yes, since it didn't stop working at all. I fear transferring the data again now... Hans-Rudolf Hotz wrote: well, do it the hard way and start from square one: - is galaxy working out of the box (fresh checkout, using SQLite) - is

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nate Coraor
Nikolai Vazov wrote: Hi, Nate, I am trying to follow the designed steps below. 1. I downloaded psycopg2 2.0.13. Does it matter where in galaxy-dist directory I place it? 2. I modified setup.py - OK 3. pg_config --version gives : PostgreSQL 8.1.23 I don't really get what you

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nate Coraor
Nikolai Vazov wrote: Hi again, The version of the PostgreSQL server I am trying to connect to is actually 8.3. The DB department say they will soon move to 9.0. The psycopg2 version in my eggs.ini for Galaxy is 8.4.2: psycopg2-2.0.13_8.4.2_static-py2.6-linux-x86_64-ucs4.egg Do you

Re: [galaxy-dev] change queue with sge

2011-05-03 Thread Jean-Baptiste Denis
On 05/03/2011 03:11 PM, Sylvain Thomas wrote: Hi I currently use a galaxy server with cluster. This cluster uses SGE. I'd like to specify a queue other than the default. I have tried many combinaisons with drmaa:/// without success. The queue used is always the default one. Here is what i

Re: [galaxy-dev] question about Filtering Cufflink files

2011-05-03 Thread Jeremy Goecks
Hello, This is a bug and has been fixed. I reran your analyses on our test server and they completed successfully, so you should be good to go. Best, J. On May 3, 2011, at 6:08 AM, shamsher jagat wrote: Jeremy, I have been trying to follow the steps in filtering Cufflink out put files

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nikolai Vazov
Hi, Nate, When trying to execute PYTHONPATH=/home/galaxy/galaxy-dist/scripts/scramble/lib python26 setup.py egg_info --tag-build=_8.4.2_static bdist_egg I get Traceback (most recent call last): File setup.py, line 52, in module from scramble_lib import * File

Re: [galaxy-dev] connecting to a DB on a different host

2011-05-03 Thread Nate Coraor
Nikolai Vazov wrote: Hi, Nate, When trying to execute PYTHONPATH=/home/galaxy/galaxy-dist/scripts/scramble/lib python26 setup.py egg_info --tag-build=_8.4.2_static bdist_egg I get Traceback (most recent call last): File setup.py, line 52, in module from scramble_lib import

Re: [galaxy-dev] change queue with sge

2011-05-03 Thread Sylvain Thomas
When I use : default_cluster_job_runner = drmaa://-q longq -V/ I obtain this error : /DeniedByDrmException: code 17: Multiple different queues - longq workq - found. Job rejected./ workq is our default queue. It seems that it doesn't overwrite the queue but if an user type : qsub -q

Re: [galaxy-dev] Version Error and Python 2.7

2011-05-03 Thread Branden Timm
Sorry to dig up this old thread, but how do you remove the check that prevents galaxy running on 2.7? One of my developers just updated his workstation to Ubuntu 11.04 (Py 2.7) which is preventing him from running Galaxy. I'm not sure whether it would be better to remove this check or to

Re: [galaxy-dev] Version Error and Python 2.7

2011-05-03 Thread Nate Coraor
Branden Timm wrote: Sorry to dig up this old thread, but how do you remove the check that prevents galaxy running on 2.7? One of my developers just updated his workstation to Ubuntu 11.04 (Py 2.7) which is preventing him from running Galaxy. I'm not sure whether it would be better to remove

[galaxy-dev] Uploading Zip Files

2011-05-03 Thread SHAUN WEBB
Hi, I have a tool that takes a zipped archive as input, finds all the sequence files (~90 of them), separates them by barcode, does a little extra processing and outputs a single fasta file. I would like this to run on Galaxy in a workflow with a few other tools. I know there have been

Re: [galaxy-dev] Error when adding datasets

2011-05-03 Thread Louise-Amelie Schmitt
Ok, now it's the other install that doesn't work anymore. Looks like a cuckoo's nest, they must be sharing something they shouldn't, first arrived first served. But I really don't see what's going wrong: - They run from distinct galaxy copies - They use different databases - They use

[galaxy-dev] LAJ Error

2011-05-03 Thread Ellul Jason
Hi All, I am attempting to do a local install of Galaxy using the galaxy-dist source. While testing some of the the tools I have run into a problem with the laj Pairwise Alignment Viewer tool. I have also tested this on the test server http://test.g2.bx.psu.edu/ and I am getting a very similar